---
title: MimeTypeArray
slug: Web/API/MimeTypeArray
tags:
  - API
  - Interface
  - Reference
  - mimeType
---
<p>{{SeeCompatTable}}{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>MimeTypeArray</code></strong> interface returns an array of {{domxref('MimeType')}} instances, each of which contains information about a supported browser plugins. This object is returned by {{domxref("NavigatorPlugins.mimeTypes")}}.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MimeTypeArray.length")}}</dt>
 <dd>The number of items in the array.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("MimeTypeArray.item()")}}</dt>
 <dd>Returns the <code>MimeType</code> object with the specified index.</dd>
 <dt>{{domxref("MimeTypeArray.namedItem()")}}</dt>
 <dd>Returns the <code>MimeType</code> object with the specified name.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>The following example tests whether a plugin is available for the application/pdf mime type and if so, which plugin that is.</p>

<pre class="brush: js">var mimeTypes = navigator.mimeTypes;
var flashPlugin = mimeTypes['video/x-flv'];
if (typeof flashPlugin === "undefined") {
  var vid = document.createElement('video');
  // Use vid.canPlayType() to test for a supported mime type.
} else {
  // Notify the user that flash is being deprecated and they
  //   should upgrade their browser.
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#mimetypearray','MimeTypeArray')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MimeTypeArray")}}</p>
</div>
